module Lintrunner
  module Reporter
    class Text < Base

      def start(name)
        puts "Running #{name} linters".underline
      end

      def report(message)
        puts "#{location(message)} #{message.description} #{message_name(message)}"
      end

      def finish(messages)
        puts "No messages found".color(:green) if messages.empty?
        puts
      end

      private

      def message_name(message)
        "(#{message.name})".color(:yellow)
      end

      def location(message)
        "#{message.filename.to_s.color(:cyan)}:#{message.line.to_s.color(:green)}"
      end
    end
  end
end
